org.icefaces.ace.component.menu

## Class MenuRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.menu.BaseMenuRenderer
      - - org.icefaces.ace.component.menu.MenuRenderer

-     public class MenuRenderer
      extends BaseMenuRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeMarkup(javax.faces.context.FacesContext context, AbstractMenu abstractMenu)`
    `protected void` | `encodePlainMenuContent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, boolean disableChildren)`
    `protected void` | `encodePlainSubmenu(javax.faces.context.FacesContext context, Submenu submenu, boolean disableChildren)`
    `protected void` | `encodeScript(javax.faces.context.FacesContext context, AbstractMenu abstractMenu)`
    `protected void` | `encodeTieredMenuContent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeTieredSubmenu(javax.faces.context.FacesContext context, Submenu submenu, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.icefaces.ace.component.menu.BaseMenuRenderer

      `divideColumn, encodeChildren, encodeFlatSubmenu, encodeMenuItem, encodeMenuItem, encodeMenuSeparator, encodeMultiColumnSubmenu, encodeParentAndChildren, flattenContents, getRendersChildren`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `decode, encodeBegin, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuRenderer

          public MenuRenderer()

  - ### Method Detail

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `BaseMenuRenderer`
      Throws:
        `java.io.IOException`

    - #### encodeScript

          protected void encodeScript(javax.faces.context.FacesContext context,
                                      AbstractMenu abstractMenu)
                               throws java.io.IOException

      Specified by:
        `encodeScript` in class `BaseMenuRenderer`
      Throws:
        `java.io.IOException`

    - #### encodeMarkup

          protected void encodeMarkup(javax.faces.context.FacesContext context,
                                      AbstractMenu abstractMenu)
                               throws java.io.IOException

      Specified by:
        `encodeMarkup` in class `BaseMenuRenderer`
      Throws:
        `java.io.IOException`

    - #### encodeTieredMenuContent

          protected void encodeTieredMenuContent(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeTieredSubmenu

          protected void encodeTieredSubmenu(javax.faces.context.FacesContext context,
                                             Submenu submenu,
                                             javax.faces.component.UIComponent component)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodePlainMenuContent

          protected void encodePlainMenuContent(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component,
                                                boolean disableChildren)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodePlainSubmenu

          protected void encodePlainSubmenu(javax.faces.context.FacesContext context,
                                            Submenu submenu,
                                            boolean disableChildren)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.